Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » P2 » Conflicting Dependency while updating RCP app using p2(Conflicting Dependency while updating RCP app using p2)
Conflicting Dependency while updating RCP app using p2 [message #1692408] Wed, 15 April 2015 13:40 Go to next message
rajat upadhyay is currently offline rajat upadhyayFriend
Messages: 6
Registered: April 2015
Junior Member
I am new to RCP developement
I read all the post across to make a RCP product application. I am trying various solutions from last 15 days to resolve the conflicting dependency problem.

I have
a) One ProductA based on feature (Which is a RCP Application)
b) Then I have 4 plugins i.e.. pluginA,PluginB,PluginC,PluginD (All singlton - Required)
c) PluginC depends on PluginD (No version selected)
d) PluginA depends on pluginB,PluginC,PluginD (No version selected)
e) I made seperate feature for all plugin i.e.. FeatureA,FeatureB,FeatureC,FeatureD (Each feature packged with one plugin+dependent plugin- version set to 0.0.0)
g) ProductA has feature dependency on all four feature created at step (d).(version removed from properties)
h) All product/plugins/feature versions are set initially to 1.0.0
i) Exported the productA
h) create a update site with featureA/B/C/D
i) From the RCP application when i update 1st time it says : Already Install add to Installed list >> and then restart
j) Then I change version of all plugins/feature(A/B/C/D) to 1.0.1 and add updated features(A/B/C/D) to update site.
e) Now,When I update i get

Cannot complete the install because of a conflicting dependency.
Software being installed: featureC 1.0.1 (featureC.feature.group 1.0.1)
Software currently installed: PluginA 1.0.0 (productA 1.0.0)
Only one of the following can be installed at once:
PluginC 1.0.0 (PluginC 1.0.0)
PluginC 1.0.1 (PluginC 1.0.1)
Cannot satisfy dependency:
From: featureC 1.0.1 (featureC.feature.group 1.0.1)
To: PluginC [1.0.1]
Cannot satisfy dependency:
From: featureA 1.0.0 (featureA.feature.group 1.0.0)
To: PluginC [1.0.0]
Cannot satisfy dependency:
From: PluginA 1.0.0 (productA 1.0.0)
To: featureA.feature.group [1.0.0]

Please Help. Thanks in advance

[Updated on: Wed, 15 April 2015 16:40]

Report message to a moderator

Re: Conflicting Dependency while updating RCP app using p2 [message #1692537 is a reply to message #1692408] Thu, 16 April 2015 11:45 Go to previous message
rajat upadhyay is currently offline rajat upadhyayFriend
Messages: 6
Registered: April 2015
Junior Member
Hi, Finally I resolved it on my own.

1) Make FeatureA and FeatureB
2) FeatureA has PluginA
3) FeatureB has rest of the all(6) plugin
4) Product has declared feature dependency on FeatureA
5) FeatureA has feature Dependency on FeatureB
6) I am able to update FeatureB now
7) I created the update site for FeatureB only

Two Takeaways of resolving this problem
Two Things, I Found
1) We can't change/Update Root IU..Thats PluginA
2) While Including FeatureB in FeatureA we must click on SelectBox "This Feature is optional "

[Updated on: Thu, 16 April 2015 11:47]

Report message to a moderator

Previous Topic:http://download.eclipse.org/releases/indigo/content.xml not found?
Next Topic:how to call a class during eclipse plugin installation?
Goto Forum:
  


Current Time: Tue Sep 25 12:37:51 GMT 2018

Powered by FUDForum. Page generated in 0.02625 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top